/**
 * @file
 * Subtheme specific CSS.
 */
:root {
    --default-font-family: "Inter";
    --default-font-size: 16px;
    --default-big-font-size: 24px;
    --slogan-font-size: 18px;
    --menu-and--footer-font-weight: 600;
    --font-weight-lnk-read-more: 800;

    --spacer-1: 32px;
    --spacer-2: 16px;

    --contents-area-bkg:#EFEFEF;
    --contents-area-border-radius:12px;

    --header-img-border-radius: 20px;
    --long-summary-border-radius: 12px;

    --press-review-color: black;

    --press-review--date--font-size: 16px;
    --press-review--date--font-weight: 400;

    --press-review--title--font-size: 24px;
    --press-review--title--font-weight: 600;

    --press-review--media--font-size: 16px;
    --press-review--media--font-weight: 600;

    --font-weight-page-title: 600;
    --font-size-page-title: 50px;

    --font-weight-press-release-main-title: 800;
    --font-size-press-release-main-title: 50px;
}


@media screen and (max-width: 768px) {
    :root {
        --font-weight-press-release-main-title: 800;
        --font-size-press-release-main-title: 40px;
    }
}

@media screen and (max-width: 576px) {
    :root {
        --font-weight-press-release-main-title: 800;
        --font-size-press-release-main-title: 36px;
    }
}





html, body {
    font-family: var(--default-font-family);
    font-size: var(--default-font-size);
}

#header, footer.site-footer {
    font-family: var(--default-font-family);
    font-weight: var(--menu-and--footer-font-weight);
}

#header .site-name-slogan  {
    font-size: var(--slogan-font-size);
}

footer.site-footer .content {
    font-size:1em;
}

.lnk-read-more {
    font-weight: var(--font-weight-lnk-read-more);
}

.lnk-read-more a {
    text-decoration: none;
    display:inline-flex;
    align-items: center;
    gap:0.25em;
}

.lnk-read-more a::after {
    content: "";
    position:relative;
    top:1px;
    width: 25px;
    height: 20px;
    background: url("/themes/custom/jnews/img/more-arrow.svg") no-repeat center;
    background-size: contain;
}

.jstat {
    --journal-color:#E20919;
    --journal-color-hc: var(--journal-color); /* high-contrast color */    
}

.jhep {
    --journal-color:#ECB705;
    --journal-color-hc: black; /* high-contrast color */    
}

.jcap {
    --journal-color:#2191D0;
    --journal-color-hc: var(--journal-color); /* high-contrast color */
}

.jinst {
    --journal-color:#239138;
    --journal-color-hc: var(--journal-color); /* high-contrast color */
}

.jcom {
    --journal-color:#623E91;
    --journal-color-hc: var(--journal-color); /* high-contrast color */    
}

.jcomal {
    --journal-color:#c00074;
    --journal-color-hc: var(--journal-color); /* high-contrast color */    
}

.jquant {
    --journal-color:#0031CE;
    --journal-color-hc: var(--journal-color); /* high-contrast color */    
}

.page-wrapper {
    padding-left:0px;
    padding-right:0px;    
}

.nav-link.is-active {
    text-decoration: underline;
    text-decoration-thickness: 2px;
}

.language-link.is-active {
    font-weight:800;
}

#main {
    --bs-gutter-x:0.8rem;
}

#main>.row {
    --bs-gutter-x:0.8rem;
}

#header > nav {
    --bs-navbar-padding-x: 0.4rem;
}

.block-page-title-block {
    margin-top:var(--spacer-1);
}

h1 {
    font-weight:var(--font-weight-page-title);
    font-size: var(--font-size-page-title);
}


.nav-pager .pagination {
    background-color:var(--contents-area-bkg);
    border-radius:var(--contents-area-border-radius);
}


.nav-pager .pagination a {
    background:unset;
    border:unset;
}

.nav-pager .pagination .page-item .page-link {
    font-size: var(--default-big-font-size);
}


.nav-pager .pagination .page-item.active .page-link {
    background-color: unset;
    border-width:0px;
}

.nav-pager .pagination .page-link, .page-link:hover {
    color: unset;
}


.nav-pager .pagination .center-area {
    flex: 1 0 auto;
    display:flex;
    justify-content:center;
}

footer.site-footer {
    padding:0px;
}
    
footer.site-footer li {
    margin-bottom:8px;
}


.language-link {
    color:black;
}

footer .sissamedialab-logo .logo-container
{
    text-align: center;
}

@media screen and (max-width: 768px)
{
    footer .sissamedialab-info > div {
        padding:15px;
    }

    footer .sissamedialab-logo .logo-container
    {
        text-align: left;
        padding-left:15px;
        padding-right:15px;
    }

    footer .footer-links > div {
        padding-left:15px;
    }
}

.navbar button {
    --bs-navbar-toggler-icon-bg:url("/themes/custom/jnews/img/ham-close.png");
    border-width:0px;
}


.navbar button:focus {
    box-shadow: 0 0 0 0;
}

.navbar button.collapsed {
    --bs-navbar-toggler-icon-bg:url("/themes/custom/jnews/img/ham-open.png")
}


.navbar-brand img {
    max-width:40vw;
}

@media (max-width: 992px) {

.navigation.menu--main {
    margin-top:22px;
    padding-top:10px;
    border-top:solid 2px black; 
}

.block-language, .navigation.menu--main {
    font-size:24px;
    font-weight:600;
}

.block-language nav span:first-child {
    padding-left:0px;
}

}

